#!/bin/sh
# $Id: setuserinfo.sh,v 1.2 2012/05/11 11:29:44 sato Exp $
# $Name: SLINSVMCOVM-1_1_0-1 $

if [ $# -ne 3 ] ; then
    exit 2
fi

SSH_OPT1="StrictHostKeyChecking no"
SSH_OPT2="NumberOfPasswordPrompts 1"
ESXI_PROMPT="#"
PW_PROMPT="word:"
ESXI_IP="$1"
ESXI_ID="$2"
ESXI_PW="$3\r"

rm -f /var/fujitsu/SVmco/work/cmd/vmkernel.log

expect -c "
set timeout 5
spawn scp -o \"$SSH_OPT1\" -o \"$SSH_OPT2\" $ESXI_ID@$ESXI_IP:/var/log/vmkernel.log /var/fujitsu/SVmco/work/cmd/vmkernel.log
expect $PW_PROMPT ; send $ESXI_PW
expect $ESXI_PROMPT
"
if [ ! -f /var/fujitsu/SVmco/work/cmd/vmkernel.log ] ; then
    exit 2
fi

exit 0
